Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Service

All Known Implementing Classes:
  StandardService

public interface Service

A Service is a group of one or more Connectors that share a single Container to process their incoming requests. This arrangement allows, for example, a non-SSL and SSL connector to share the same population of web apps.

A given JVM can contain any number of Service instances; however, they are completely independent of each other and share only the basic JVM facilities and classes on the system class path.

Version:
  $Revision: 1.1.1.1 $ $Date: 2002/07/18 16:47:37 $
Author:
  Craig R. McClanahan

Method Summary
`void` | `addConnector(Connector connector)` Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.
`Connector[]` | `findConnectors()` Find and return the set of Connectors associated with this Service.
`Container` | `getContainer()` Return the `Container` that handles requests for all `Connectors` associated with this Service.
`java.lang.String` | `getInfo()` Return descriptive information about this Service implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getName()` Return the name of this Service.
`Server` | `getServer()` Return the `Server` with which we are associated (if any).
`void` | `initialize()` Invoke a pre-startup initialization.
`void` | `removeConnector(Connector connector)` Remove the specified Connector from the set associated from this Service.
`void` | `setContainer(Container container)` Set the `Container` that handles requests for all `Connectors` associated with this Service.
`void` | `setName(java.lang.String name)` Set the name of this Service.
`void` | `setServer(Server server)` Set the `Server` with which we are associated (if any).

Method Detail

### getContainer

    public Container getContainer()

  Return the `Container` that handles requests for all `Connectors` associated with this Service.

### setContainer

    public void setContainer(Container container)

  Set the `Container` that handles requests for all `Connectors` associated with this Service.

  Parameters:
    `container` - The new Container

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Service implementation and the corresponding version number, in the format `<description>/<version>`.

### getName

    public java.lang.String getName()

  Return the name of this Service.

### setName

    public void setName(java.lang.String name)

  Set the name of this Service.

  Parameters:
    `name` - The new service name

### getServer

    public Server getServer()

  Return the `Server` with which we are associated (if any).

### setServer

    public void setServer(Server server)

  Set the `Server` with which we are associated (if any).

  Parameters:
    `server` - The server that owns this Service

### addConnector

    public void addConnector(Connector connector)

  Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.

  Parameters:
    `connector` - The Connector to be added

### findConnectors

    public Connector[] findConnectors()

  Find and return the set of Connectors associated with this Service.

### removeConnector

    public void removeConnector(Connector connector)

  Remove the specified Connector from the set associated from this Service. The removed Connector will also be disassociated from our Container.

  Parameters:
    `connector` - The Connector to be removed

### initialize

    public void initialize()
                    throws LifecycleException

  Invoke a pre-startup initialization. This is used to allow connectors to bind to restricted ports under Unix operating environments.

  Throws:
    `LifecycleException` - If this server was already initialized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.